Prozentualer Rabatt. Der Preis des Warenkorbs wird um einen Wert verringert, der anhand dieses Prozentsatzes berechnet und dann auf zwei Dezimalstellen gerundet wird.
- Gutscheincode einlösen
LiveOps API (2.0.0)
- Version: 2.0.0
- Servers:
https://store.xsolla.com/api - Contact Us by Email
- Contact URL: https://xsolla.com/
- Required TLS version: 1.2
LiveOps API bietet Endpunkte zur Förderung des Spieler-Engagements.
Projekt-ID. Dieser Parameter wird im Kundenportal neben dem Projektnamen angezeigt.
- Mock serverhttps://xsolla.redocly.app/_mock/de/api/liveops/v2/project/{project_id}/coupon/code/{coupon_code}/rewards
- https://store.xsolla.com/api/v2/project/{project_id}/coupon/code/{coupon_code}/rewards
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
https://xsolla.redocly.app/_mock/de/api/liveops/v2/project/44056/coupon/code/WINTER2021/rewards \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "bonus": [ { … }, { … } ], "discount": { "percent": "10.00" }, "is_selectable": true }
Projekt-ID. Dieser Parameter wird im Kundenportal neben dem Projektnamen angezeigt.
Eindeutiger Gutscheincode. Enthält Buchstaben und Ziffern.
- Mock serverhttps://xsolla.redocly.app/_mock/de/api/liveops/v2/project/{project_id}/coupon/redeem
- https://store.xsolla.com/api/v2/project/{project_id}/coupon/redeem
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://xsolla.redocly.app/_mock/de/api/liveops/v2/project/44056/coupon/redeem \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"coupon_code": "WINTER2021",
"selected_unit_items": {
"game_1": "game_1_steam",
"game_2": "game_2_playstation"
}
}'Gutschein wurde erfolgreich eingelöst.
{ "items": [ { … } ] }
Projekt-ID. Dieser Parameter wird im Kundenportal neben dem Projektnamen angezeigt.
- Mock serverhttps://xsolla.redocly.app/_mock/de/api/liveops/v3/project/{project_id}/admin/coupon
- https://store.xsolla.com/api/v3/project/{project_id}/admin/coupon
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
-u <username>:<password> \
'https://xsolla.redocly.app/_mock/de/api/liveops/v3/project/44056/admin/coupon?limit=50&offset=0'{ "active_promotions_count": 2, "inactive_promotions_count": 0, "items": [ { … }, { … } ], "total_promotions_count": 2 }
Personalisierter Katalog
Diese API ermöglicht es, Regeln für Benutzerattribute festzulegen. Wenn der Nutzer alle Bedingungen einer konkreten Regel erfüllt, werden personalisierte Artikel angezeigt.
Für personalisierte Werbeaktionen siehe Abschnitt Werbeaktionen.
Um Attribute vor einem Kauf zu übermitteln, können Sie die Xsolla Login API verwenden oder die Attribute in der Eigenschaft user.attributes übermitteln, während Sie den Token mit der Pay Station API generieren.